Subject: Re: bug#48045: guix challenge error

From: Ludovic Courtès <[email-masked]>
Date: Tue, 11 May 2021 10:45:05 +0200

Hi,

Bone Baboon <[email-masked]> skribis:

> Ludovic Courtès writes:
>> The bug comes from the fact that it’s gone beyond 100%.  We could solve
>> it by programming more defensively, but it’d be great to see where the
>> problem comes from.
>>
>> Can you reproduce it with:
>>
>>   ./pre-inst-env guix challenge /gnu/store/5ds5bli4p6gja2yzmzzc0sik1kzrasp9-guix-extra
>>
>> ?
>>
>> If so, could you apply the patch below and send the output of this
>> command?  We can discuss it on IRC if anything’s unclear.
>
> I can not reproduce this error any more.
>
> I have a new clone of the Guix repository.
>
> I ran `./pre-inst-env guix challenge
> /gnu/store/5ds5bli4p6gja2yzmzzc0sik1kzrasp9-guix-extra` 20 times and the
> error was no error.
>
> I ran `./pre-inst-env guix challenge` several times and there was no
> error.
>
> I tried running `guix challenge
> /gnu/store/5ds5bli4p6gja2yzmzzc0sik1kzrasp9-guix-extra` outside of the
> Guix repository 20 times and there was no error.

Thanks for checking.  I’m closing it, but please do reopen if you
stumble upon it again.

Ludo’.